Imports DigitalData.Modules.Database
Imports DigitalData.Modules.Logging

Public Class MSSQL
    Implements IDatabase

    Private ReadOnly LogConfig As LogConfig
    Private ReadOnly Database As MSSQLServer
    Private ReadOnly Logger As Logger

    Public Sub New(LogConfig As LogConfig, Database As MSSQLServer)
        Me.LogConfig = LogConfig
        Me.Database = Database
        Me.Logger = LogConfig.GetLogger()
    End Sub

    Public Function NewDocument(RelativePath As String, AddedWho As String, ObjectStoreId As Long, ReferenceId As Long) As Long Implements IDatabase.NewDocument

    End Function
End Class
